/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.project.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 系统基本信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-14 14:42:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "系统基本信息表")
public class CpProject extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_name = "name";
  public static final String KEY_memo = "memo";
  public static final String KEY_projectType = "projectType";
  public static final String KEY_parentId = "parentId";
  public static final String KEY_rootId = "rootId";
  public static final String KEY_idPath = "idPath";
  public static final String KEY_leaf = "leaf";
  public static final String KEY_layerNum = "layerNum";
  public static final String KEY_status = "status";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_productionTime = "productionTime";
  public static final String KEY_owningSystem = "owningSystem";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 系统名称<br>
   */
  @ApiModelProperty("系统名称")
  @Size(max = 500, message="系统名称-name: 数据长度不能 > 500" )
  private String name;
  /**
   * 系统描述<br>
   */
  @ApiModelProperty("系统描述")
  @Size(max = 500, message="系统描述-memo: 数据长度不能 > 500" )
  private String memo;
  /**
   * 系统类型<br>
   */
  @ApiModelProperty("系统类型")
  @Size(max = 30, message="系统类型-projectType: 数据长度不能 > 20" )
  private String projectType;
  /**
   * 父系统主键<br>
   */
  @ApiModelProperty("父系统主键")
  @Size(max = 32, message="父系统主键-parentId: 数据长度不能 > 32" )
  private String parentId;
  /**
   * 根系统主键id<br>
   */
  @ApiModelProperty("根系统主键id")
  @Size(max = 32, message="根系统主键id-rootId: 数据长度不能 > 32" )
  private String rootId;
  /**
   * id路径<br>
   */
  @ApiModelProperty("id路径")
  @Size(max = 200, message="id路径-idPath: 数据长度不能 > 200" )
  private String idPath;
  /**
   * 是否叶子（1是0否）<br>
   */
  @ApiModelProperty("是否叶子（1是0否）")
  private Boolean leaf;
  /**
   * 系统层级<br>
   */
  @ApiModelProperty("系统层级")
  private Integer layerNum;
  /**
   * 系统状态<br>
   */
  @ApiModelProperty("系统状态")
  private Integer status;
  /**
   * 系统开始时间<br>
   */
  @ApiModelProperty("系统开始时间")
  private Date startTime;
  /**
   * 系统计划上线时间<br>
   */
  @ApiModelProperty("系统计划上线时间")
  private Date productionTime;
  /**
   * 所属系统<br>
   */
  @ApiModelProperty("所属系统")
  @Size(max = 50, message="所属系统-owningSystem: 数据长度不能 > 50" )
  private String owningSystem;
  /**
   * 删除标识符<br>
   */
  @ApiModelProperty("删除标识符")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * code系统编码<br>
   */
  @ApiModelProperty("code系统编码")
  @Size(max = 50, message="code系统编码: 数据长度不能 > 50" )
  private String code;

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 系统名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 系统名称<br>
   *
   * @param name 系统名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 系统描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 系统描述<br>
   *
   * @param memo 系统描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 系统类型<br>
   */
  public String getProjectType()
  {
      return projectType;
    }

  /**
   * 系统类型<br>
   *
   * @param projectType 系统类型
   */
  public void setProjectType(String projectType)
  {
      this.projectType = projectType;
    }
  /**
   * 父系统主键<br>
   */
  public String getParentId()
  {
      return parentId;
    }

  /**
   * 父系统主键<br>
   *
   * @param parentId 父系统主键
   */
  public void setParentId(String parentId)
  {
      this.parentId = parentId;
    }
  /**
   * 根系统主键id<br>
   */
  public String getRootId()
  {
      return rootId;
    }

  /**
   * 根系统主键id<br>
   *
   * @param rootId 根系统主键id
   */
  public void setRootId(String rootId)
  {
      this.rootId = rootId;
    }
  /**
   * id路径<br>
   */
  public String getIdPath()
  {
      return idPath;
    }

  /**
   * id路径<br>
   *
   * @param idPath id路径
   */
  public void setIdPath(String idPath)
  {
      this.idPath = idPath;
    }
  /**
   * 是否叶子（1是0否）<br>
   */
  public Boolean getLeaf()
  {
      return leaf;
    }

  /**
   * 是否叶子（1是0否）<br>
   *
   * @param leaf 是否叶子（1是0否）
   */
  public void setLeaf(Boolean leaf)
  {
      this.leaf = leaf;
    }
  /**
   * 系统层级<br>
   */
  public Integer getLayerNum()
  {
      return layerNum;
    }

  /**
   * 系统层级<br>
   *
   * @param layerNum 系统层级
   */
  public void setLayerNum(Integer layerNum)
  {
      this.layerNum = layerNum;
    }
  /**
   * 系统状态<br>
   */
  public Integer getStatus()
  {
      return status;
    }

  /**
   * 系统状态<br>
   *
   * @param status 系统状态
   */
  public void setStatus(Integer status)
  {
      this.status = status;
    }
  /**
   * 系统开始时间<br>
   */
  public Date getStartTime()
  {
      if(startTime != null)
    {
      return (Date)startTime.clone();
    }
    return null;
    }

  /**
   * 系统开始时间<br>
   *
   * @param startTime 系统开始时间
   */
  public void setStartTime(Date startTime)
  {
      if(startTime != null)
    {
      this.startTime = (Date)startTime.clone();
    }
    }
  /**
   * 系统计划上线时间<br>
   */
  public Date getProductionTime()
  {
      if(productionTime != null)
    {
      return (Date)productionTime.clone();
    }
    return null;
    }

  /**
   * 系统计划上线时间<br>
   *
   * @param productionTime 系统计划上线时间
   */
  public void setProductionTime(Date productionTime)
  {
      if(productionTime != null)
    {
      this.productionTime = (Date)productionTime.clone();
    }
    }
  /**
   * 所属系统<br>
   */
  public String getOwningSystem()
  {
      return owningSystem;
    }

  /**
   * 所属系统<br>
   *
   * @param owningSystem 所属系统
   */
  public void setOwningSystem(String owningSystem)
  {
      this.owningSystem = owningSystem;
    }
  /**
   * 删除标识符<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 删除标识符<br>
   *
   * @param deleted 删除标识符
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpProject()
  {
  }

}
